Issue 125708 - Impress Note View jumps back to 1st Slide when I switch to other application window
Summary: Impress Note View jumps back to 1st Slide when I switch to other application ...
Status: UNCONFIRMED
Alias: None
Product: Impress
Classification: Application
Component: viewing (show other issues)
Version: 4.1.1
Hardware: PC Windows 7
: P3 Minor (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-03 12:44 UTC by Luis Mamaní
Modified: 2016-04-21 15:41 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Impress presentation with 45 slides (63.51 KB, application/vnd.oasis.opendocument.presentation)
2015-04-10 15:20 UTC, Antoine
no flags Details
Impress presentation with 2 slides (14.15 KB, application/vnd.oasis.opendocument.presentation)
2015-04-10 15:21 UTC, Antoine
no flags Details
Jump back from slide two to one (11.68 KB, application/vnd.oasis.opendocument.presentation)
2016-04-21 15:41 UTC, katherine_arnold
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Luis Mamaní 2014-10-03 12:44:08 UTC
Impress Note view jumps back to first slide when I switch to other application window: For example, from Impress to Writer and vice versa.
This difficults my task of read, view and edit slides and it's notes/comments in Note View, while I'm reading theoric information in Writer. So, I must return to the slide that I'm editing all the time I switch to other application.
I suspect that this bug is related to this other bug: 
https://issues.apache.org/ooo/show_bug.cgi?id=125707
Comment 1 Luis Mamaní 2014-10-04 17:08:59 UTC
Procedure to reproduce the bug:

1) Open an Impress ODP document with 3 or more slides at least.
2) Open any Writer document.
3) Go to Impress and switch to Notes View to check comments/notes in the ODP document.
4) Then, stand on the latest slides. For example, stand on the slide #10 of 15.
5) Finally, start to switch application window from Impress to Writer and vice versa with Windows Hotkeys ALT+Tab.
6) After doing this two or three times, you should see that Impress jumped quickly from the slide #10 that you're reading or editing, to the first slide, without any previous order from the user.
Comment 2 Antoine 2015-04-10 15:18:42 UTC
This bug could be reproduced on Mac OS 10.10.2
Build version: (OO411m6(Build:9775) -  Rev. 1617669
2014-08-13 09:05:42 (Wed, 13 Aug 2014)

Switching between Impress and an other Open Office document will generate the issue. This can be an other Impress presentation, or to Writer, Spreadsheet, Drawing  (I have not verified with Database as when doing so i am being requested to install Java SE6). For the sequence of steps below, I will also take the example of Writer.
Switching between Impress and a non Open Office application does not trigger the failure (I tried with MS Word, Mozilla)

A odp document of 2 slides is sufficient for reproducing the bug (find samples in attachment 1 [details] with 2 slides and 1 with 45 slides)


Please find below the sequence of steps used to reproduce the issue :

1.	Open an ODP document of 2 slides or more (i have enclosed 2 files, 1 with 2 slides and an other with 45 slides)
2.	Switch to Notes Page View via Menu View/Notes Page View
3.	Select the second slide of the presentation in the Slides Panel
4.	Open a document in Writer (File/ New Text Document)
5.	Switch back to Impress

The 1st slide of the presentation is now selected instead of the slide 2. However Slide 2 is still display in the main panel

Note that if after step 5, the user is switching again to Writer and then back to Impress, the slide shown  in the main panel will be slide 1.


This issue is minor in case of a 2 slide presentation but its annoyance increase significantly when all the slides of the presentation do not appear in the Slides panel (for my 13'' screen it is up to 6 slides)as it requires extra scrolling down to select the original slide that was worked on.

Note that the issues 125911 and 125013 (and the 125707 as mentioned in comment 0) have also reported the same failure but with different critical condition.
Comment 3 Antoine 2015-04-10 15:20:14 UTC
Created attachment 84642 [details]
Impress presentation with 45 slides
Comment 4 Antoine 2015-04-10 15:21:17 UTC
Created attachment 84643 [details]
Impress presentation with 2 slides
Comment 5 katherine_arnold 2016-04-21 15:36:04 UTC
I was able to reproduce this bug using a HP 840 laptop with Windows 7 and Open Office 4.1.2 . 
Process to reproduce the bug:
Test one :
1.	Create an empty presentation in Open Office Impress 
2.	Select the Notes tab – first slide will be displayed 
3.	Create another slide – second slide will display in the main screen as well as in the slide panel. Keep second slide highlighted.
4.	Open another Open Office Document ( Selected Writer)  and then switch back to IMPRESS. The first slide is now highlighted in the slide panel and the first slide is displayed in the main screen.
5.	Closed Writer and reselect slide two and opened another Open Office document ( Open Office Math selected) the first slide is now highlighted in the slide panel and the first slide is displayed in the main screen.
6.	I repeated step five with Open Office Draw .  The first slide is now highlighted in the slide panel and the first slide is displayed in the main screen.
7.	I repeated step five with Open Office CALC but had a slightly different result  .  The first slide is now highlighted in the slide panel and the second slide is displayed in the main screen.
8.	I did not repeat step five with Open Office Base as I don’t have permissions to set up on my work machine.
9.	I replicated step 5 with Microsoft office Excel,  PowerPoint  and Publisher and Open office stayed on slide two both in the main screen and the slide panel. 
Test two 
I replicated the test but selected the Normal tab rather than the Notes tab.  I added a second slide and left it highlighted. Then I switched to Writer and then switched back to IMPRESS. Slide two continued to be highlighted. I repeated this step with MATH, CALC, and DRAW and in each case Impress stayed on the highlighted slide. 
Test three using a different system Microsoft PowerPoint 2010
1.	Open Microsoft  PowerPoint 2010
2.	Access the View Tab in the top tool bar and select Notes Page.  First slide will be displayed
3.	Create another slide – second slide will display in the main screen as well as in the slide panel. Keep second slide highlighted.
4.	Open another Microsoft Office Document (Selected Word) and then switch back to PowerPoint. The second slide is still highlighted in the slide panel and displayed in the main screen.
5.	Closed Word and left slide two highlighted and opened another Microsoft Office document (Selected Word).  The second slide is still highlighted in the slide panel and displayed in the main screen.
6.	I repeated step five using Microsoft Office Publisher.  The second slide is still highlighted in the slide panel and displayed in the main screen.
7.	I repeated step five with Microsoft Office OneNote. In Microsoft Power Point the second slide is still highlighted in the slide panel and displayed in the main screen.
8.	I replicated step 5 with OPEN Office MATH, DRAW, WRITER and CALC. The second slide is still highlighted in the slide panel and displayed in the main screen.

Test Four
1.	Create an empty presentation in Open Office Impress 
2.	Select the Notes tab – first slide will be displayed 
3.	Create another slide – second slide will display in the main screen as well as in the slide panel , Keep slide two highlighted. 
4.	Switch to the Normal tab and then switch back to Notes Tab. The second slide continues to be highlighted. Switch an open document in Microsoft Word 2010 and then back to Notes Tab in  IMPRESS.    Now the first slide is highlighted.  This result did not display if I went from the Notes  tab to Microsoft Word 2010 and then back to notes.
5.	Keeping slide two highlighted switch to the Outline tab and then switch back to Notes Tab. The second slide continues to be highlighted. Switch an open document in Microsoft Word 2010 and then back to Notes Tab in  IMPRESS.   The second slide is still highlighted . Switch to the Normal tab, then  back to Notes tab,  then to Microsoft Word 2010 and back to the Notes Tab in IMPRESS. The second slide continues to be high lighted 
6.	Keeping slide two highlighted switch to the Handout tab and then switch back to Notes Tab.  The first slide is now highlighted in the slide panel and the first slide is displayed in the main screen.
7.	Keeping slide two highlighted switch to the Slide Sorter tab and then switch back to Notes Tab. The first slide is now highlighted in the slide panel and the first slide is displayed in the main screen.
Research : 
1.	In Bugzilla
a.	 I found two  other unconfirmed similar issues. 
i.	 125707. The poster indicates that Impress jumps back to 1st Slide when they click the slide pane background.
ii.	Issue 125013 - After entering speaker notes on one slide, clicking on next slide in left pane scrolls back to first or second slide in the presentation
b.	Found confirmed issue 101221 that replicated the issue I encountered with the slide sorter 
jumping back to the first slide. 
c.	Found confirmed similar issue 126653. The poster states: The Slide Pane jumps to the top unexpectedly when I click in the margin between two slides.
2.	OpenOffice Forum has three posts which speak to the issue with one poster suggesting the use of the current version of LibreOffice  ( a competitor) as a possible alternative as the poster has not encountered the issue in LibreOffice  while he has had the issue with OpenOffice. 
3.	I looked for similar complaints on the internet for the OpenOffice competitor, LibreOffice and did not locate any that pertained to the bug referred to in this report. 


This issue speaks more to a design issue bug than a code bug.  I was able to confirm that the bug that was reported in the 4.1.1 version continued into the 4.1.2 version. I was also able to test the bug in Microsoft PowerPoint and verified the bug does not trigger in that product. The posters who commented on the issue find it a time waster and an annoyance which points to being inconsistent with the user expectations. User of the program who are creating a large number of slides and have to reference information outside of Open Office to complete their work  will find the constant jump back to the first slide expensive in the sense of time lost and could possibly do as one poster suggest and abandon the product for another .
Comment 6 katherine_arnold 2016-04-21 15:41:37 UTC
Created attachment 85465 [details]
Jump back from slide two to one